// Copyright (C) 2024 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:args/command_runner.dart';
import 'package:wyatt_continuous_deployment/src/core/commands/build_and_deploy_app/commands/build_and_deploy_android_app/build_and_deploy_android_app_command.dart';
import 'package:wyatt_continuous_deployment/src/core/commands/build_and_deploy_app/commands/build_and_deploy_ios_app/build_and_deploy_ios_app_command.dart';

class BuildAndDeployAppCommand extends Command<int> {
  BuildAndDeployAppCommand() {
    addSubcommand(BuildAndDeployIosAppCommand());
    addSubcommand(BuildAndDeployAndroidAppCommand());
  }

  @override
  String get description => 'Build and deploy app. '
      'Same as running `build` and `deploy` commands separately.';

  @override
  String get name => 'build-deploy';

  @override
  List<String> get aliases => ['bd'];
}
