// Copyright (C) 2024 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:wyatt_continuous_deployment/src/domain/entities/config/appstore_connect_config.dart';

class FastlaneDeployPilotParameters {
  const FastlaneDeployPilotParameters({
    required this.appStoreConnectConfig,
    required this.developerAppId,
    required this.developerAppIdentifier,
    required this.ipaPath,
    this.skipWaitingForBuildProcessing = true,
    this.skipSubmission = true,
    this.distributeExternal = false,
    this.notifyExternalTesters = false,
  });

  final AppStoreConnectConfig appStoreConnectConfig;
  final String developerAppId;
  final String developerAppIdentifier;
  final String ipaPath;
  final bool skipWaitingForBuildProcessing;
  final bool skipSubmission;
  final bool distributeExternal;
  final bool notifyExternalTesters;

  List<String> toList() => [
        'apple_id:$developerAppId',
        'app_identifier:$developerAppIdentifier',
        'ipa:$ipaPath',
        'skip_waiting_for_build_processing:$skipWaitingForBuildProcessing',
        'skip_submission:$skipSubmission',
        'distribute_external:$distributeExternal',
        'notify_external_testers:$notifyExternalTesters',
      ];
}
